Your message dated Sun, 06 Aug 2017 04:45:41 +0000
with message-id <e1dedrd-0001vw...@fasolo.debian.org>
and subject line Bug#869366: Removed package(s) from unstable
has caused the Debian Bug report #770591,
regarding Creepy: "Flickr plugin not working"
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
770591: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=770591
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: creepy
Version: 1.2~alpha
Severity: grave

Hi Team,

The twitter and flickr plugins are not working in this version of Creepy
due to Creepy trying to write to the *.config & *.labels files in
usr/share/* without the correct permissions.

Petter Reinholdtsen and I have been working (well Petter mainly) on
Creepy to get it upgraded to the latest version after it was removed
from testing due to a dependency on an old version of osmgpsmap. It took
a lot of patching due to the non-portability of the creepy code. Several
pull requests have been submitted upstream.

Anyway, here are the errors from the creepy.main.log when the current
version in unstable is installed and you try to configure the twitter &
flickr plugins:
2014-11-20 18:00:01,625 - yapsy_loaded_plugin_Twitter_Plugin_0 - DEBUG -
Trying to load the labels file for the  twitter plugin .
2014-11-20 18:00:01,770 - yapsy_loaded_plugin_Flickr_Plugin_0 - DEBUG -
Trying to load the labels file for the  flickr plugin .
2014-11-20 18:01:22,340 - yapsy_loaded_plugin_Twitter_Plugin_0 - ERROR -
[Errno 13] Permission denied:
'/usr/share/creepy/plugins/twitter/twitter.conf'
2014-11-20 18:01:24,584 - yapsy_loaded_plugin_Twitter_Plugin_1 - DEBUG -
Trying to load the labels file for the  twitter plugin .
2014-11-20 18:01:24,586 - yapsy_loaded_plugin_Flickr_Plugin_1 - DEBUG -
Trying to load the labels file for the  flickr plugin .
2014-11-20 18:02:20,901 - yapsy_loaded_plugin_Twitter_Plugin_1 - ERROR -
[Errno 13] Permission denied:
'/usr/share/creepy/plugins/twitter/twitter.conf'
2014-11-20 18:02:27,458 - yapsy_loaded_plugin_Twitter_Plugin_2 - DEBUG -
Trying to load the labels file for the  twitter plugin .
2014-11-20 18:02:27,460 - yapsy_loaded_plugin_Flickr_Plugin_2 - DEBUG -
Trying to load the labels file for the  flickr plugin .
2014-11-20 18:02:47,547 - models.InputPlugin - ERROR - Could not save
the configuration for the flickr plugin.
2014-11-20 18:02:47,547 - models.InputPlugin - ERROR - [Errno 13]
Permission denied: '/usr/share/creepy/plugins/flickr/flickr.conf'
Traceback (most recent call last):
  File "/usr/share/creepy/models/InputPlugin.py", line 70, in
saveConfiguration
    config.write()
  File "/usr/lib/python2.7/dist-packages/configobj.py", line 2128, in write
    with open(self.filename, 'wb') as h:
IOError: [Errno 13] Permission denied:
'/usr/share/creepy/plugins/flickr/flickr.conf'
2014-11-20 18:02:47,582 - models.InputPlugin - ERROR - Could not save
the configuration for the twitter plugin.

Petter suggests the sensible approach of rewriting the config file
handling to only write changed (non-default) values to ~/.creepy/
somewhere and load setup from both /usr/share/creepy/ and ~/.creepy/
when using the plugin.  See <URL:
https://lists.debian.org/debian-devel/2005/11/msg00017.html > for some
details on the idea.

Regards,

Ross

Attachment: signature.asc
Description: OpenPGP digital signature


--- End Message ---
--- Begin Message ---
Version: 1.4.1-5+rm

Dear submitter,

as the package creepy has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see https://bugs.debian.org/869366

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmas...@ftp-master.debian.org.

Debian distribution maintenance software
pp.
Scott Kitterman (the ftpmaster behind the curtain)

--- End Message ---
_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to